# FaintPhase | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class FaintPhase

#### Hierarchy (View Summary)

- PokemonPhase
  - FaintPhase

- Defined in src/phases/faint-phase.ts:36

##### Index

### Constructors

constructor

### Properties

battlerIndex
fieldIndex
player

### Methods

doFaint
end
executeForAll
getPokemon
hideEnemyTrainer
showEnemyTrainer
start
tryOverrideForBattleSpec

## Constructors

### constructor

- new FaintPhase(
  battlerIndex: BattlerIndex ,
  preventEndure?: boolean,
  destinyTag?: null | DestinyBondTag ,
  grudgeTag?: null | GrudgeTag ,
  source?: default ,
  ): FaintPhase

  #### Parameters

  - battlerIndex: BattlerIndex
  - preventEndure: boolean = false
  - `Optional` destinyTag: null | DestinyBondTag
  - `Optional` grudgeTag: null | GrudgeTag
  - `Optional` source: default

  #### Returns FaintPhase

  Overrides PokemonPhase.constructor

  - Defined in src/phases/faint-phase.ts:57

## Properties

### `Protected` battlerIndex

battlerIndex: number

Inherited from PokemonPhase.battlerIndex

- Defined in src/phases/pokemon-phase.ts:7

### fieldIndex

fieldIndex: number

Inherited from PokemonPhase.fieldIndex

- Defined in src/phases/pokemon-phase.ts:9

### player

player: boolean

Inherited from PokemonPhase.player

- Defined in src/phases/pokemon-phase.ts:8

## Methods

### doFaint

- doFaint(): void

  #### Returns void

  - Defined in src/phases/faint-phase.ts:111

### end

- end(): void

  #### Returns void

  Inherited from PokemonPhase.end

  - Defined in src/phase.ts:6

### executeForAll

- executeForAll(func: PokemonFunc): void

  #### Parameters

  - func: PokemonFunc

  #### Returns void

  Inherited from PokemonPhase.executeForAll

  - Defined in src/phases/field-phase.ts:8

### getPokemon

- getPokemon(): default

  #### Returns default

  Inherited from PokemonPhase.getPokemon

  - Defined in src/phases/pokemon-phase.ts:26

### hideEnemyTrainer

- hideEnemyTrainer(): void

  #### Returns void

  Inherited from PokemonPhase.hideEnemyTrainer

  - Defined in src/phases/battle-phase.ts:37

### showEnemyTrainer

- showEnemyTrainer(trainerSlot?: TrainerSlot ): void

  #### Parameters

  - trainerSlot: TrainerSlot = TrainerSlot.NONE

  #### Returns void

  Inherited from PokemonPhase.showEnemyTrainer

  - Defined in src/phases/battle-phase.ts:10

### start

- start(): void

  #### Returns void

  Overrides PokemonPhase.start

  - Defined in src/phases/faint-phase.ts:72

### tryOverrideForBattleSpec

- tryOverrideForBattleSpec(): boolean

  #### Returns boolean

  - Defined in src/phases/faint-phase.ts:246